## openscenegraph 2.9.7-0maemo2

=== debian/changelog ===
openscenegraph (2.9.7-0maemo2) unstable; urgency=low

  * Fixed GLES2 dependency.
  * Optified.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 19 Mar 2010 16:56:37 +0100

openscenegraph (2.9.7-0maemo1) unstable; urgency=low

  * Development release, including OpenGL|ES 2.0 support

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 19 Mar 2010 16:32:07 +0100

openscenegraph (2.8.2-2) unstable; urgency=low

  * Fixed problem in armel, failing to build due to linking problems.
    According to Alberto Luaces this could be caused by a previous workaround
    introduced to deal with a GCC bug, and fixed since then, see #529091 and
    #530388
  * Added 'watch' file
  * Updated lintian overrides regarding package-name-doesnt-match-sonames
  * Removed the duplicated entries in man pages as examples and apps
  * Removed lintian overrides about man pages
  * Removed duplicated patch bug-555869-ftbfs_with_binutils_gold.diff (it was
    repeated in dpatch form)
  * Quelling lintian warnings:
    - package-lacks-versioned-build-depends-on-debhelper (updated to >= 7.0.0)
    - debhelper-but-no-misc-depends
    - out-of-date-standards-version (updated from 3.8.0 to 3.8.4)
    - patch-system-but-no-source-readme
    - dh-clean-k-is-deprecated (using 'dh_prep' instead of 'dh_clean -k')
    - manpage-has-bad-whatis-entry (trick to avoid warning and get whatis
      program working, removing related overrides as said above)
    - debian-watch-file-is-missing (adding 'watch' file as said above)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Wed, 03 Feb 2010 10:44:56 +0100

openscenegraph (2.8.2-1) unstable; urgency=low

  * New upstream release
  * Changed debhelper compat to level 7 (level 4 is deprecated)
  * Build-Depend on libcoin60-dev instead of libcoin40-dev (Closes: #535250)
  * Build-Depend on freeglut3-dev instead of libglut*-dev (Closes: #552157)
  * Added patch from Alberto Luaces to allow using binutils-gold (Closes: #555869)
  * Dropped patch (fixed upstream already in 2.8.1):
     - bug-497933.dpatch

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 12 Dec 2009 21:25:40 +0100

openscenegraph (2.8.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build-Depend on freeglut3-dev instead of freeglut-dev as someone
    "cleaned up" provides of that package. Closes: #544648

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 02 Sep 2009 12:35:42 +0200

openscenegraph (2.8.1-1) unstable; urgency=low

  * New upstream release
  * osg soversion from 55 to 56, openthreads from 11 to 12 and patch
    to allow overriding the soversion when the upstream forgets to change it.
  * Alberto Luaces patch applied to add new pkg-config files (Closes: #528229).
  * Alberto Luaces linker flags to cope with armel specific problems (Closes: #529091).

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 31 May 2009 12:07:05 +0200

openscenegraph (2.8.0-4) unstable; urgency=low

  * rules prevent lib64 with -D LIB_POSTFIX="" (Closes: #517671)

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 23 Mar 2009 14:08:20 +0100

openscenegraph (2.8.0-3) unstable; urgency=low

  * gcc-4.4 are already in upstream
  * use lib*/ instead of lib/ to capture lib64 (Closes: #517671)

 -- Loic Dachary (OuoU) <loic@debian.org>  Tue, 03 Mar 2009 13:07:40 +0100

openscenegraph (2.8.0-2) unstable; urgency=low

  * unstable instead of experimental
  * remove lib64 dirty hack that failed
  * apply GNU/kFreeBSD patch (Closes: #517354)

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 01 Mar 2009 14:06:21 +0100

openscenegraph (2.8.0-1) experimental; urgency=low

  * New upstream release (Closes: #516622)
  * update download location in copyright file
  * add support for intrepid & jaunty
  * remove extra conflict on openthreads7 (Closes: #504113)
  * apply GNU/kFreeBSD patch (Closes: #497933)
  * apply GCC-4.4 portability patch (Closes: #504888)
  * add missing libraries to openscenegraph.pc (Closes: #512316)
  * update libopenscenegraph short description (Closes: #493613)
  * use libgl1-mesa-dev and libgif-dev (Closes: #494553)
  
 -- Loic Dachary (OuoU) <loic@debian.org>  Tue, 24 Feb 2009 12:04:02 +0100

openscenegraph (2.6.1-1) experimental; urgency=low

  * New upstream release.
  * Updated rules file to complete the instruction on how to make an orig
    file.
  * Corrected rules file when it comes to versions.
  * libopenscenegraph44 bumped to 48.
  * remove obsolete xlibmesa-gl-dev

 -- Loic Dachary (OuoU) <loic@debian.org>  Thu, 25 Dec 2008 18:27:16 +0100

openscenegraph (2.6.0-1) experimental; urgency=low

  * New upstream release.
  * Debian patches are no longer needed with the new upstream sources and
    are therefore removed.
  * libopenscenegraph7 bumped to 44.
  * libopenthreads7 bumped to 11.
  * Added myself to Uploaders to clarify that I'm involved at request
    by Loic. Loic may remove it later when needed.

 -- Ola Lundqvist <opal@debian.org>  Wed, 20 Aug 2008 07:47:50 +0200

openscenegraph (2.4.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * No longer try to detect (using /proc/cpuinfo when available) how many
    CPUs are available, fixing the FTBFS (due to -j0) on various platforms
    (Closes: #477353). The right way to do it is to support parallel=n in
    DEB_BUILD_OPTIONS (see Debian Policy §4.9.1), and adequate support has
    been implemented.
  * Add patch to fix FTBFS due to the build system now refusing to handle
    whitespaces (Policy CMP0004 say the logs), thanks to Andreas Putzo who
    provided it (Closes: #482239):
     - debian/patches/fix-cmp0004-build-failure.dpatch
  * Remove myself from Uploaders, as requested a while ago, done by Luk in
    his 2.2.0-2.1 NMU, which was never acknowledged.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 29 Jul 2008 04:34:38 +0200

openscenegraph (2.4.0-1) unstable; urgency=low

  * New upstream release

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 28 Apr 2008 11:04:18 +0200


