=== debian/changelog ===
openscenegraph (2.9.7-0maemo3) unstable; urgency=low

  * Specify EGL_BUFFER_SIZE as workaround for bug #9335

 -- Philipp Zabel <philipp.zabel@gmail.com>  Sat, 20 Mar 2010 11:03:50 +0100
