=== debian/control ===
Source: openscenegraph
Section: devel
Priority: optional
Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
Build-Depends: debhelper (>= 5.0.42), cmake, g++ (>= 3.3.0), libgif-dev | giflib-dev, dpatch, libjpeg-dev, libtiff-dev, lib3ds-dev, libfreetype6-dev, libpng12-dev, libjasper-dev, libgdal-dev, libx11-dev, libxmu-dev, ccache, libgles2-sgx-img-dev | libgles2-dev, opengles-sgx-img-common-dev | libgles2-dev, doxygen
Standards-Version: 3.8.4

Package: libopenthreads-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libopenthreads12 (= ${binary:Version})
Description: Object-Oriented (OO) thread interface for C++ programmers, development files
 This library is intended to provide a minimal & complete Object-Oriented (OO) 
 thread interface for C++ programmers.  It is loosely modeled on the Java thread
 API, and the POSIX Threads standards.  The architecture of the library is 
 designed around "swappable" thread models which are defined at compile-time
 in a shared object library. 

Package: libopenthreads12
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libopenthreads, libopenthreads2, libopenthreads3, libopenthreads1c2, libopenthreads11
Description: Object-Oriented (OO) thread interface for C++ programmers, development files
 This library is intended to provide a minimal & complete Object-Oriented (OO) 
 thread interface for C++ programmers.  It is loosely modeled on the Java thread
 API, and the POSIX Threads standards.  The architecture of the library is 
 designed around "swappable" thread models which are defined at compile-time
 in a shared object library. 

Package: openthreads-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for Object-Oriented (OO) thread interface
 This library is intended to provide a minimal & complete Object-Oriented (OO) 
 thread interface for C++ programmers.  It is loosely modeled on the Java thread
 API, and the POSIX Threads standards.  The architecture of the library is 
 designed around "swappable" thread models which are defined at compile-time
 in a shared object library. 

Package: libopenscenegraph-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libopenthreads-dev, libgles2-sgx-img-dev | libgles2-dev, opengles-sgx-img-common-dev | libgles2-dev, libopenscenegraph63 (= ${binary:Version})
Description: 3D scenegraph development files
 A portable, high level graphics toolkit for the development of high
 performance graphics applications such as flight simulators, games,
 virtual reality or scientific visualization.  Providing an object
 orientated framework on top of OpenGL, it frees the developer from
 implementing and optimizing low level graphics calls, and provide
 many additional utilities for rapid development of graphics
 applications.

Package: libopenscenegraph63
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libopenscenegraph, libopenscenegraph2, libopenscenegraph3, libopenscenegraph1c2, libopenscenegraph7, libopenscenegraph55
Description: low level graphics library for openscenegraph
 A portable, high level graphics toolkit for the development of high
 performance graphics applications such as flight simulators, games,
 virtual reality or scientific visualization.  Providing an object
 orientated framework on top of OpenGL, it frees the developer from
 implementing and optimizing low level graphics calls, and provide
 many additional utilities for rapid development of graphics
 applications.


Package: openscenegraph-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: 3D scenegraph documentation
 A portable, high level graphics toolkit for the development of high
 performance graphics applications such as flight simulators, games,
 virtual reality or scientific visualization.  Providing an object
 orientated framework on top of OpenGL, it frees the developer from
 implementing and optimizing low level graphics calls, and provide
 many additional utilities for rapid development of graphics
 applications.

Package: openscenegraph
Section: devel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: 3D scenegraph binary files
 A portable, high level graphics toolkit for the development of high
 performance graphics applications such as flight simulators, games,
 virtual reality or scientific visualization.  Providing an object
 orientated framework on top of OpenGL, it frees the developer from
 implementing and optimizing low level graphics calls, and provide
 many additional utilities for rapid development of graphics
 applications.
